Subject: RE: [newtrk] A slightly different form of radical suggestion

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Mon, 8 Aug 2005 12:06:53 +0200

Avri and others,

What you suggest is very much in line with my personal feeling
after all these months of discussion. To me, it looks like most
people believe the 3 steps process (at least in theory) is what
we would like to have. The problem is that we have not managed
to use our official 3 step process. However, the desired solution
might not be to change the process, but instead change the way
we implement it.

To me, the time to go to PS is the key problem, and also that
we treat PS as "completed" specifications. This opinion was also
expressed by John K. in his note from  Saturday, titled "Making
the standards process more efficient".

So, let's keep the 3 step process, but let's try to make proper
use of it. "Proposed" should be what it says!

/L-E

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of avri doria
> Sent: den 3 augusti 2005 19:18
> To: [email-masked]
> Subject: [newtrk] A slightly different form of radical suggestion
> 
> 
> Hi,
> 
> In reading through all the ideas for change in the number of 
> steps that RFCs take to go through the standardization process 
> i have come to the personal conclusion that we should leave
> the overall process as it is.  Now, this is rather radical for
> me, since i seem to be recommending the status quo - a position
> that is not so very normal for me.
> 
> But instead of a radical change in the process, I would like 
> to suggest that what we need is a radical change in our behavior.
> We should follow the process we have and should perhaps make some
> policy adjustments to enable the us to follow the process we have.
> 
> There have been lots of arguments about why it makes sense to hav
> a step that is easy to reach, a step that indicates experience
> and maturity and one that indicates wide deployment and stability.
> I find that i strongly value the 3 step process, at least in
> theoretical terms.
> 
> The current process sort of calls for reviews.  I am not one 
> generally in favor of demoting documents, but i do think there
> is value in reviews, and some documents may deserve demotion to 
> historical. Reviews might also be good for identifying problems
> impeding progress or identify RFCs that should be  progressed,
> e.g. some documents may have the wrong status because they have
> reached maturity and should be promoted along the track. I don't
> know if the IESG has the bandwidth for this sort of work on an
> ongoing basis, but I expect that they could delegate the
> responsibility for analysis and for making recommendations.
> 
> I also think there is a lot of merit in the argument that 
> when WGs are closed on having achieved PS, it does not enable
> progressing the rest of the way through the track.
> 
> So, if after another round of discussion about 1 step 2 step 
> we cannot settle on a consensus change, perhaps then we can
> look at ways at enabling the community to actually make the
> current process work.
> 
> a.

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 08 Aug 2005 22:21:00 +0200

> might not be to change the process, but instead change the way

at the moment, without any real thinking behind it, my current favourite is 
two levels only:

- "Specified Standard" (we have written it up; corresponding to Proposed)
- "Implemented Standard" (implementation reports are in, and say "OK")

And assign group identifiers (whether we call them ISDs, SRDs or STDs 
doesn't matter to me one whit) at first specification. If we group at all.

                       Harald

.